<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('worlings', function (Blueprint $table) {
            $table->id();
            $table->string('session_id'); // track user session
            $table->string('word', 5);
            $table->integer('try_count')->default(1);
            $table->boolean('is_correct')->default(false);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('worlings');
    }
};
